package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.sql.Date;
import java.util.Objects;

public class TBExeDayAndQuantityDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long cropId;
    private Long activityId;
    private String activityName;
    private Date executeDate;
    private Double quantity;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Date getExecuteDate() {
        return executeDate;
    }

    public void setExecuteDate(Date executeDate) {
        this.executeDate = executeDate;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public String getActivityName() {
        return activityName;
    }

    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBExeDayAndQuantityDTO that = (TBExeDayAndQuantityDTO) o;
        return Objects.equals(cropId, that.cropId) && Objects.equals(activityId, that.activityId) && Objects.equals(executeDate, that.executeDate) && Objects.equals(quantity, that.quantity);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cropId, activityId, executeDate, quantity);
    }

    @Override
    public String toString() {
        return "TBExeDayAndQuantityDTO{" +
            "cropId=" + cropId +
            ", activityId=" + activityId +
            ", executeDate=" + executeDate +
            ", quantity='" + quantity + '\'' +
            '}';
    }
}
